#include "HubWidget.hh"

#include <QHeaderView>
#include <QHBoxLayout>
#include <QPushButton>
#include <QTreeView>
#include <QVBoxLayout>


#include <QDebug>


//==============================================================================	construct
HubWidget::HubWidget(QWidget *parent) :
	QWidget(parent)
{
	createLayout();
}



//==============================================================================	create Layout
void HubWidget::createLayout()
{
	// Layout Aufbau aus Komponenten
	headJobList = new QHeaderView( Qt::Horizontal );

	treeJobList = new QTreeView;
	treeJobList->setHeader(headJobList);

	tasR2_0 = new QPushButton( "Neuer Job" );
	connect( tasR2_0, SIGNAL(clicked()), this, SLOT(clickSlot()) );


	// Layout zusammensetzen
	tab2HLayout = new QHBoxLayout;
	tab2HLayout->addWidget( tasR2_0, 0, Qt::AlignLeft );

	tab2VLayout = new QVBoxLayout;
	tab2VLayout->addWidget( treeJobList );
	tab2VLayout->addLayout( tab2HLayout );

	//Zuweisung des Layouts
	this->setLayout( tab2VLayout );
}



//==============================================================================	click Slot
void HubWidget::clickSlot()
{
	QWidget *pParent = tab2VLayout->parentWidget();

	if( this == pParent )
	{
		qDebug() << "PARENT";
	}
	else
	{
		qDebug() << "NOT PARENT";
	}
}


